> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/block-trading/get-public-trades/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get public block trades GET https://www.okx.com/api/v5/rfq/public-trades Retrieve the recent executed block trades across the platform. This is a public endpoint that does not require authentication. Reference: https://okx-demo.ferndocs.com/api/api-reference/block-trading/get-public-trades ## Request ### Query parameters - `beginId` (string, optional) — Pagination: request records newer than (but not including) this block trade ID. - `endId` (string, optional) — Pagination: request records older than (but not including) this block trade ID. - `limit` (string, optional) — Number of results per request. Maximum and default are both 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5RfqPublicTradesGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5RfqPublicTradesGetResponsesContentApplicationJsonSchemaDataItems - `blockTdId` (string, optional) — Block trade ID. - `groupId` (string, optional) — Group ID for related block trades. - `strategy` (string, optional) — Strategy name of the block trade, if applicable. - `cTime` (string, optional) — Creation time, Unix timestamp in milliseconds. - `legs` (list of ApiV5RfqPublicTradesGetResponsesContentApplicationJsonSchemaDataItemsLegsItems, optional) — Legs of the block trade. ### ApiV5RfqPublicTradesGetResponsesContentApplicationJsonSchemaDataItemsLegsItems - `instId` (string, optional) — Instrument ID. - `tradeId` (string, optional) — Trade ID. - `px` (string, optional) — Price of the leg. - `sz` (string, optional) — Size of the leg. - `side` (string, optional) — Side of the leg taken by the taker. ## Examples **Response** ```json { "code": "string", "msg": "string", "data": [ { "blockTdId": "string", "groupId": "string", "strategy": "string", "cTime": "string", "legs": [ { "instId": "string", "tradeId": "string", "px": "string", "sz": "string", "side": "string" } ] } ] } ``` **SDK Code** ```python import requests url = "https://www.okx.com/api/v5/rfq/public-trades" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://www.okx.com/api/v5/rfq/public-trades'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/rfq/public-trades" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/rfq/public-trades") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/rfq/public-trades") .asString(); ``` ```php request('GET', 'https://www.okx.com/api/v5/rfq/public-trades'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/rfq/public-trades"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/rfq/public-trades")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```